--- ./src/common.h.00	2008-08-31 23:06:24.000000000 -0700
+++ ./src/common.h	2008-11-17 12:24:28.640000011 -0800
@@ -288,6 +288,9 @@
 
 #include <netinet/in.h>  /* struct sockaddr_in */
 #include <sys/socket.h>  /* getpeername */
+#if defined(__USLC__)
+#include <sys/uio.h>
+#endif
 #include <arpa/inet.h>   /* inet_ntoa */
 #include <sys/time.h>    /* select */
 #include <sys/ioctl.h>   /* ioctl */
--- ./tools/stunnel.conf-sample.in.00	2007-11-02 11:22:32.000000000 -0700
+++ ./tools/stunnel.conf-sample.in	2008-11-17 12:26:56.020000011 -0800
@@ -3,15 +3,15 @@
 ; Please make sure you understand them (especially the effect of chroot jail)
 
 ; Certificate/key is needed in server mode and optional in client mode
-cert = @prefix@/etc/stunnel/mail.pem
-;key = @prefix@/etc/stunnel/mail.pem
+cert = @sysconfdir@/stunnel/mail.pem
+;key = @sysconfdir@/stunnel/mail.pem
 
 ; Protocol version (all, SSLv2, SSLv3, TLSv1)
 sslVersion = SSLv3
 
 ; Some security enhancements for UNIX systems - comment them out on Win32
-chroot = @prefix@/var/lib/stunnel/
-setuid = nobody
+chroot = /var/lib/stunnel/
+setuid = nouser
 setgid = @DEFAULT_GROUP@
 ; PID is created inside chroot jail
 pid = /stunnel.pid
@@ -30,12 +30,12 @@
 ; CApath is located inside chroot jail
 ;CApath = /certs
 ; It's often easier to use CAfile
-;CAfile = @prefix@/etc/stunnel/certs.pem
+;CAfile = @sysconfdir@/stunnel/certs.pem
 ; Don't forget to c_rehash CRLpath
 ; CRLpath is located inside chroot jail
 ;CRLpath = /crls
 ; Alternatively you can use CRLfile
-;CRLfile = @prefix@/etc/stunnel/crls.pem
+;CRLfile = @sysconfdir@/stunnel/crls.pem
 
 ; Some debugging stuff useful for troubleshooting
 ;debug = 7
--- ./Configure-OSR6.00	2008-11-17 12:24:28.650000017 -0800
+++ ./Configure-OSR6	2008-11-17 12:24:28.650000014 -0800
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+HOST=i586-sco-sysv5
+CFLAGS="-O2"
+INSTALL=/usr/gnu/bin/install
+NM=nm-p
+M4=/usr/gnu/bin/m4
+if [ "$1" = "-g" ]
+then
+  CC="gcc -D_REENTRANT"
+  CXX="g++ -D_REENTRANT"
+  CFLAGS="$CFLAGS -Wall"
+else
+  CC="cc -Kpthread -Kalloca"
+  CXX="CC -Kpthread -Kalloca"
+fi
+ac_cv_member_struct_msghdr_msg_control=no
+export CC CXX CFLAGS NM M4 INSTALL ac_cv_member_struct_msghdr_msg_control
+rm -f mout-configure
+./configure --prefix=/usr --mandir=/usr/man \
+            --program-prefix="" --sysconfdir=/etc \
+            --host=$HOST --target=$HOST --build=$HOST 2>&1 | tee mout-configure
--- ./Install-OSR6.00	2008-11-17 12:24:28.650000032 -0800
+++ ./Install-OSR6	2008-11-17 12:24:28.650000029 -0800
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+MOUT=mout-install
+D=/u/tmp/stunnel
+DESTDIR=$D
+export DESTDIR
+
+[ -f $MOUT ] && mv $MOUT $MOUT-prev
+[ -d $D ] && rm -rf $D
+mkdir -p $D
+make install DESTDIR=$D 2>&1 | tee $MOUT
+
